using Exferia_Aplicacion.General;
using Exferia_Expedientes._0_Modelos;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Exferia_Expedientes._3_Vistas.F3
{
    class ABS_F3_EPD_Materias : ABS_F3
    {
        public override string NOMBRE_CAMPO_CODIGO()
        {
            return nameof(INTERNO_EPD_Materias_Listado_Modelo.codigo);
        }

        public override string NOMBRE_CAMPO_DESCRIPCION()
        {
            return nameof(INTERNO_EPD_Materias_Listado_Modelo.descripcion);
        }

        public override string NOMBRE_CAMPO_FECHABORRADO()
        {
            return nameof(INTERNO_EPD_Materias_Listado_Modelo.fechaBorrado);
        }

        public override string NOMBRE_CAMPO_ID()
        {
            return nameof(INTERNO_EPD_Materias_Listado_Modelo.id);
        }

        public override string NOMBRE_CAMPO_IDEJERCICIO_BAJA()
        {
            return "";
        }

        public override string NOMBRE_CAMPO_DATOSAUXILIARES_1()
        {
            return "";
        }

        public override string NOMBRE_CAMPO_DATOSAUXILIARES_2()
        {
            return "";
        }

        public override string NOMBRE_CAMPO_DATOSAUXILIARES_3()
        {
            return "";
        }
    }
}
